/* Review section ================ */

:root {
  --user-avatar-size: 91px;

  @media (--laptop-small-max) {
    --user-avatar-size: 70px;
  }
}

.reviews {
  position: relative;

  @media (--laptop-small-max) {
    padding-top: 40px;
  }

  @media (--tablet-max) {
    padding-top: 20px;
  }
}

.reviews__carousel {
  max-width: 1100px;
  margin: 0 auto;
  border-radius: 10px;
  color: var(--color-black-light);
  background-color: var(--color-white);
  box-shadow: 2px 10px 24px rgba(157, 152, 147, .74);

  .slick-dots {
    bottom: -50px;
  }

  .slick-prev {
    left: -150px;

    @media (--desktop-max) {
      left: 0;
    }
  }

  .slick-next {
    right: -150px;

    @media (--desktop-max) {
      right: 0;
    }
  }
}

.reviews__item {
  padding-top: 70px;
  padding-right: 60px;
  padding-bottom: 70px;
  padding-left: 60px;

  @media (--desktop-large-max) {
    padding-right: 50px;
    padding-left: 50px;
  }

  @media (--laptop-max) {
    padding: 50px 60px;
  }

  @media (--laptop-small-max) {
    padding: 40px 30px;
  }

  @media (--tablet-small-max) {
    padding-right: 15px;
    padding-left: 15px;
  }
}

.review-user {
  display: block;
  width: 100%;
}

.review-user__header {
  display: flex;
  justify-content: center;

  @media (--tablet-small-max) {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
}

.review-user__avatar {
  width: var(--user-avatar-size);
  height: var(--user-avatar-size);
  border: 4px solid var(--color-primary);
  border-radius: 50%;
  overflow: hidden;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.review-user__data {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 22px;
  text-align: left;

  @media (--tablet-small-max) {
    padding-top: 20px;
    padding-left: 0;
    text-align: center;
  }
}

.review-user__name {
  color: var(--color-primary);
  font-weight: var(--text-font-weight-bold);

  + .review-user__city {
    margin-top: 5px;
  }
}

.review-user__body {
  margin-top: 20px;
  margin-bottom: -20px;

  @media (--laptop-small-max) {
    margin-top: 10px;
  }
}

.reviews__footer {
  display: flex;
  justify-content: center;
  padding-top: 60px;

  @media (--laptop-small-max) {
    padding-top: 40px;
  }

  @media (--tablet-small-max) {
    flex-direction: column;
    align-items: center;
  }

  .button {
    box-shadow: 2px 10px 24px rgba(46, 165, 218, .74);

    @media (--tablet-small-max) {
      width: 100%;
      max-width: 300px;
    }

    + .button {
      margin-left: 100px;

      @media (--desktop-large-max) {
        margin-left: 50px;
      }

      @media (--tablet-small-max) {
        margin-top: 20px;
        margin-left: 0;
      }
    }
  }
}
/* ================ end review section */
